<?php
require_once("../../functions.php");
if (comprobar_override(str_replace($_SERVER['DOCUMENT_ROOT'], '', __FILE__))) exit;
$pag = basename($_SERVER['PHP_SELF']);
gen_plantilla(true, $pag, false, false, '', false, false);

if (session_status() !== PHP_SESSION_ACTIVE) session_start();
if (!isset($_SESSION['tipo_usuario']) || $_SESSION['tipo_usuario'] !== 'admin') {
    crear_notificacion("error", "No tienes permisos para realizar esta acción");
    exit;
}
/*******************************************************************************
 *                               [Parámetros]                                  *
 *******************************************************************************/

if (isset($_POST["id"])) {
    $id = filter_input(INPUT_POST, "id", FILTER_SANITIZE_NUMBER_INT);
    if($id==1){
        crear_notificacion('error', 'No se puede eliminar el grupo de por defecto');
        exit;
    }
    /*******************************************************************************
     *                                 [Consulta]                                  *
     *******************************************************************************/
    if (!consulta("DELETE FROM grupos WHERE id=?;", [$id], false)) {
        crear_log(
            "error",
            "Error al eliminar grupo",
            $pag,
            "Se ha intentado eliminar el grupo, pero ha ocurrido un error en la consulta."
        );
        crear_notificacion('error', 'No se ha podido eliminar el grupo');
    } else {
        crear_log(
            "info",
            "Grupo eliminado",
            $pag,
            "Se ha eliminado el grupo con id <b>[$id]</b> correctamente."
        );
        crear_notificacion('correcto', 'Grupo eliminado correctamente');
    }
} else {
    crear_log(
        "error",
        "Sin parámetros",
        $pag,
        "No se ha podido eliminar el grupo, porque no hay parámetros para procesarlo."
    );
    crear_notificacion('error', 'No se ha podido eliminar el grupo');
}
